// project: SID - Structured Interactive Documentation
// author : Dipl.Ing. Stefan Chiettini

package SID.Parser;

public class Errors extends ErrorStream {

	void SemErr (int n, int line, int col) {
		String s;
		super.SemErr(n, line, col);
		switch (n) {
			case  3: {s = "a literal must not have attributes"; break;}
			case  4: {s = "this symbol kind is not allowed in a production"; break;}
			case  5: {s = "attribute mismatch between declaration and use of this symbol"; break;}
			case  7: {s = "name declared twice"; break;}
			case  8: {s = "this symbol kind not allowed on left side of production"; break;}
			case 11: {s = "missing production for grammar name"; break;}
			case 12: {s = "grammar symbol must not have attributes"; break;}
			case 13: {s = "a literal must not be declared with a structure"; break;}
			case 14: {s = "semantic action not allowed here"; break;}
			case 15: {s = "undefined name"; break;}
			case 17: {s = "name does not match grammar name"; break;}
			case 20: {s = "token may be empty"; break;}
			case 21: {s = "token must not start with an iteration"; break;}
			case 22: {s = "only characters allowed in comment declaration"; break;}
			case 23: {s = "only terminals may be weak"; break;}
			case 24: {s = "tokens must not contain blanks"; break;}
			case 25: {s = "comment delimited must not exceed 2 characters"; break;}
			case 26: {s = "character set contains more than 1 character"; break;}
			default: {s = "error " + n; break;}
		}
		System.out.println(s);
	}
}